Update Subscription
Update Subscription
PUT
Update a subscribed webhook by its unique id.
Request
Put
PUT /v1/subscribe/:id
Path Parameter
- id
numberReplace
:idwith subscription id in the request URL.
Body
- eventName
string>= 1 character
- targetUrl
string (URL)>= 1 characters
Response
200
Body
- id
numberExample: 7
- event_name
stringExample: candidate.deleted
- target_url
stringExample: https://xyz_updated.com
- source
stringExample: public
- created_at
stringExample: 2026-07-29T20:09:54.000Z
- updated_at
stringExample: 2026-07-29T20:16:21.000Z
401
Body
- unauthorised
422
Body
- Unprocessable Entity
Response Example
{
"id": 7,
"event_name": "candidate.deleted",
"target_url": "https://xyz_updated.com",
"source": "public",
"created_at": "2026-07-29T20:09:54.000Z",
"updated_at": "2026-07-29T20:16:21.000Z"
}